Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class WaferMapPlot

    java.lang.Object
      org.jfree.chart.plot.Plot
          org.jfree.chart.plot.WaferMapPlot

All Implemented Interfaces:
  AxisChangeListener, java.lang.Cloneable, DatasetChangeListener, java.util.EventListener, RendererChangeListener, java.io.Serializable

public class WaferMapPlot
extends Plot
implements RendererChangeListener, java.lang.Cloneable, java.io.Serializable

A wafer map plot.

See Also:
  Serialized Form

Field Summary
`static java.awt.Paint` | `DEFAULT_CROSSHAIR_PAINT` The default crosshair paint.
`static java.awt.Stroke` | `DEFAULT_CROSSHAIR_STROKE` The default crosshair stroke.
`static boolean` | `DEFAULT_CROSSHAIR_VISIBLE` The default crosshair visibility.
`static java.awt.Paint` | `DEFAULT_GRIDLINE_PAINT` The default grid line paint.
`static java.awt.Stroke` | `DEFAULT_GRIDLINE_STROKE` The default grid line stroke.
`protected static java.util.ResourceBundle` | `localizationResources` The resourceBundle for the localization.

Fields inherited from class org.jfree.chart.plot.Plot
`DEFAULT_BACKGROUND_ALPHA, DEFAULT_BACKGROUND_PAINT, DEFAULT_FOREGROUND_ALPHA, DEFAULT_INSETS, DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, MINIMUM_HEIGHT_TO_DRAW, MINIMUM_WIDTH_TO_DRAW, ZERO`

Constructor Summary
`WaferMapPlot(WaferMapDataset dataset)` Creates a new plot.
`WaferMapPlot(WaferMapDataset dataset, WaferMapRenderer renderer)` Creates a new plot.

Method Summary
`void` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, PlotState state, PlotRenderingInfo info)` Draws the wafermap view.
`WaferMapDataset` | `getDataset()` Returns the dataset
`LegendItemCollection` | `getLegendItems()` Return the legend items from the renderer.
`java.lang.String` | `getPlotType()` Returns the plot type as a string.
`void` | `rendererChanged(RendererChangeEvent event)` Notifies all registered listeners of a renderer change.
`void` | `setRenderer(WaferMapRenderer renderer)` Sets the item renderer, and notifies all listeners of a change to the plot.

Methods inherited from class org.jfree.chart.plot.Plot
`addChangeListener, axisChanged, clone, datasetChanged, draw, drawBackground, drawBackgroundImage, drawNoDataMessage, drawOutline, equals, fillBackground, getBackgroundAlpha, getBackgroundImage, getBackgroundImageAlignment, getBackgroundPaint, getDataAreaRatio, getDatasetGroup, getDrawingSupplier, getForegroundAlpha, getInsets, getNoDataMessage, getNoDataMessageFont, getNoDataMessagePaint, getOutlinePaint, getOutlineStroke, getParent, getRectX, getRectY, getRootPlot, handleClick, isSubplot, notifyListeners, removeChangeListener, resolveDomainAxisLocation, resolveRangeAxisLocation, setBackgroundAlpha, setBackgroundImage, setBackgroundImageAlignment, setBackgroundPaint, setDataAreaRatio, setDatasetGroup, setDrawingSupplier, setForegroundAlpha, setInsets, setInsets, setNoDataMessage, setNoDataMessageFont, setNoDataMessagePaint, setOutlinePaint, setOutlineStroke, setParent, zoom`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_GRIDLINE_STROKE

    public static final java.awt.Stroke DEFAULT_GRIDLINE_STROKE

  The default grid line stroke.

### DEFAULT_GRIDLINE_PAINT

    public static final java.awt.Paint DEFAULT_GRIDLINE_PAINT

  The default grid line paint.

### DEFAULT_CROSSHAIR_VISIBLE

    public static final boolean DEFAULT_CROSSHAIR_VISIBLE

  The default crosshair visibility.

  See Also:
    Constant Field Values

### DEFAULT_CROSSHAIR_STROKE

    public static final java.awt.Stroke DEFAULT_CROSSHAIR_STROKE

  The default crosshair stroke.

### DEFAULT_CROSSHAIR_PAINT

    public static final java.awt.Paint DEFAULT_CROSSHAIR_PAINT

  The default crosshair paint.

### localizationResources

    protected static java.util.ResourceBundle localizationResources

  The resourceBundle for the localization.

Constructor Detail

### WaferMapPlot

    public WaferMapPlot(WaferMapDataset dataset)

  Creates a new plot.

Parameters:
  `dataset` - the dataset (`null` permitted).

### WaferMapPlot

    public WaferMapPlot(WaferMapDataset dataset,
                        WaferMapRenderer renderer)

  Creates a new plot.

Parameters:
  `dataset` - the dataset (`null` permitted).
  `renderer` - the renderer (`null` permitted).

Method Detail

### getPlotType

    public java.lang.String getPlotType()

  Returns the plot type as a string.

  Specified by:
    `getPlotType` in class `Plot`
  Returns:
    a short string describing the type of plot.

### setRenderer

    public void setRenderer(WaferMapRenderer renderer)

  Sets the item renderer, and notifies all listeners of a change to the plot.

  If the renderer is set to `null`, no chart will be drawn.

  Parameters:
    `renderer` - the new renderer (`null` permitted).

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D plotArea,
                     PlotState state,
                     PlotRenderingInfo info)

  Draws the wafermap view.

  Specified by:
    `draw` in class `Plot`
  Parameters:
    `g2` - the graphics device.
    `plotArea` - the plot area.
    `state` - the plot state.
    `info` - the plot rendering info.

### getDataset

    public WaferMapDataset getDataset()

  Returns the dataset

  Returns:
    wafermapdataset

### getLegendItems

    public LegendItemCollection getLegendItems()

  Return the legend items from the renderer.

  Overrides:
    `getLegendItems` in class `Plot`
  Returns:
    legenditemcollection

### rendererChanged

    public void rendererChanged(RendererChangeEvent event)

  Notifies all registered listeners of a renderer change.

  Specified by:
    `rendererChanged` in interface `RendererChangeListener`
  Parameters:
    `event` - the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD